# class Function | Base class for Function objects. More...
Full name | `KJS::Function`
Definition | `#include <function.h>`
Inherits | KJS::KJSO [public ]
Inherited by | Constructor
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- Function (Imp *)
- virtual ~Function ()
- Completion execute (const List &)
- bool hasAttribute (FunctionAttribute a) const
- CodeType codeType () const
- KJSO thisValue () const

## Detailed Description

Function (Imp *) | ### Function

~Function () | ### ~Function

[virtual]

Completion execute (const List &) | ### execute

bool hasAttribute (FunctionAttribute a) | ### hasAttribute

[const]

CodeType codeType () | ### codeType

[const]

KJSO thisValue () | ### thisValue

[const]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:56 2001, using kdoc 2.0a53.